package dev.peerat.mapping.providers;

import java.io.File;

import dev.peerat.parser.java.Class;
import dev.peerat.parser.java.Function;

public interface Provider{
	
	void init(File file) throws Exception;
	
	void mapTreasure(Class clazz);
	
	void mapBottle(Class clazz, Function function);

	void mapUses(Class clazz, Function function);
	
	void complete();
}
